using System;
using Server;  
using Server.Commands;
using Server.Mobiles;

namespace Server.Items
{
	public class MesicniKamen : Item
	{	
		[Constructable]
		public MesicniKamen() : this( 1 )
		{
		}
      
      [Constructable]
		public MesicniKamen( int amount ) : base( 3979 )
		{
			Stackable = true;
         Name = "Mesicni kamen";
         Weight = 0.1;
			Hue = 1085;
			Amount = amount;
		}

		public MesicniKamen( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		} 	
		
	}
}